Säkerhetsbulletin från Debian

DSA-2083-1 moin -- städar inte indata

Rapporterat den:
2010-08-02
Berörda paket:
moin
Sårbara:
Ja
Referenser i säkerhetsdatabaser:
I Debians felrapporteringssystem: Fel 584809.
I Mitres CVE-förteckning: CVE-2010-2487.
Ytterligare information:

Det upptäcktes att moin, en pythonklon av WikiWiki, inte städar parametrar tillräckligt innan de skickas till funktionen add_msg. Detta tillåter en angripare utifrån att genomföra exempelvis serveröverskridande skriptangrepp (XSS) med hjälp av parametern template.

För den stabila utgåvan (Lenny) har detta problem rättats i version 1.7.1-3+lenny5.

För uttestningsutgåvan (Squeeze) kommer detta problem att rättas inom kort.

För den instabila utgåvan (Sid) har detta problem rättats i version 1.9.3-1.

Rättat i:

Debian GNU/Linux 5.0 (lenny)

Källkod:
http://security.debian.org/pool/updates/main/m/moin/moin_1.7.1-3+lenny5.dsc
http://security.debian.org/pool/updates/main/m/moin/moin_1.7.1.orig.tar.gz
http://security.debian.org/pool/updates/main/m/moin/moin_1.7.1-3+lenny5.diff.gz
Arkitekturoberoende komponent:
http://security.debian.org/pool/updates/main/m/moin/python-moinmoin_1.7.1-3+lenny5_all.deb

MD5-kontrollsummor för dessa filer finns i originalbulletinen.